package com.mygdx.game;

import com.badlogic.gdx.ScreenAdapter;
import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.graphics.g2d.SpriteBatch;

import practicum.McuBoard;
import practicum.McuWithPeriBoard;
import org.usb4java.Device;

public class GameScreen extends ScreenAdapter {
	private LovelyParents lovelyParents;
	private Update update;
	
	public static final int SCREEN_MENU = 0;
	public static final int SCREEN_HELP = 1;
	public static final int SCREEN_FALL = 2;
	public static final int SCREEN_FIRE = 3;

	private int screen;
	private Texture menuImg;
	private Texture helpImg;
	private Texture fallImg;
	private Texture fireImg;
	
	static boolean buzzerState;
    static boolean vibrationWarning;
    static boolean gasWarning;
	
	public GameScreen(LovelyParents lovelyParents) {
		Thread t = new Thread(new Update());
        t.setDaemon(true);
        t.start();
        
		this.lovelyParents = lovelyParents;
		
		screen = SCREEN_MENU;
		buzzerState = false;
	    vibrationWarning = false;
	    gasWarning = false;
		
		menuImg = new Texture("ScreenFirst.jpg");
		helpImg = new Texture("ScreenHelp.jpg");
		fallImg = new Texture("ScreenFall.jpg");
		fireImg = new Texture("ScreenFire.jpg");
		
	}
	
	@Override
    public void render(float delta) {	
		SpriteBatch batch = lovelyParents.batch;
		updateScreen();
		
		if(screen == SCREEN_MENU) {
			batch.begin();
			batch.draw(menuImg, 0, 0);
			batch.end();	
		} else if(screen == SCREEN_HELP) {
			batch.begin();
			batch.draw(helpImg, 0, 0);
			batch.end();
		} else if(screen == SCREEN_FALL) {
			batch.begin();
			batch.draw(fallImg, 0, 0);
			batch.end();
		} else if(screen == SCREEN_FIRE) {
			batch.begin();
			batch.draw(fireImg, 0, 0);
			batch.end();
		}
    }
	
	private void updateScreen() {
        buzzerState = update.buzzerState;
        vibrationWarning = update.vibrationWarning;
        gasWarning = update.gasWarning;

        if(buzzerState == false) {
        	screen = SCREEN_MENU;
        } else {
        	screen = SCREEN_HELP;
        	if(vibrationWarning == true) {
        		screen = SCREEN_FALL;
        	}
        	if(gasWarning == true) {
        		screen = SCREEN_FIRE;
        	}
        }
		
	}
	
	
}
