package com.mygdx.game;

import org.usb4java.Device;

import practicum.McuBoard;
import practicum.McuWithPeriBoard;

public class Update implements Runnable{
	static boolean buzzerState;
    static boolean vibrationWarning;
    static boolean gasWarning;
	
    static McuWithPeriBoard peri = null;
    
	public static void setup() throws Exception {
        
        
        try {
        	McuBoard.initUsb();
        	
        	Device[] devices = McuBoard.findBoards();
        	
        	if (devices.length == 0) {
                System.out.format("** Practicum board not found **\n");
                return;
        	}
        	else {
                System.out.format("** Found %d practicum board(s) **\n", devices.length);
        	}
        	if (peri == null)
            	peri = new McuWithPeriBoard(devices[0]);

            System.out.format("** Practicum board found **\n");
            System.out.format("** Manufacturer: %s\n", peri.getManufacturer());
            System.out.format("** Product: %s\n", peri.getProduct());

            while(true) {
                buzzerState = peri.getBuzzer();
                vibrationWarning = peri.getVibrationWarning();
                gasWarning = peri.getGasWarning();

                System.out.format("Buzzer state: %s | Vibration warning: %s | GAS warning: %s\n",
                        buzzerState, vibrationWarning, gasWarning);
            }
            
        } catch (Exception e) {
            System.out.println(e);
        }

        McuBoard.cleanupUsb();
    }

	@Override
	public void run() {
		try {
	        setup();
	    } catch (Exception ex) {
	        
	    }
		
	}
    
}
